% ----------------------
% path.m
% ----------------------
% computes the path of temporary equilibrium until tend
% in:   guess, tstart (opt), tstop (opt)
% out:  actual
% ----------------------

function actual = path(guessin,tstart,tstop)

global t tend r
global V H 

V       = guessin(:,1)';
H       = guessin(:,2)';

% COMPUTE ALL TEMPORARY EQUILIBRIA
if nargin < 3;
    tstop = tend;
end
if nargin > 1
    t = tstart;
else
    t = 1;
end

while t < tstop
    x0      = r(t); % inital guess
    [x1, retcode] = findroot(@TE,x0);
    if retcode~=0 error('Root finder in path did not converge!'); end
    t   = t+1;
end

actual = [V; H]';

end