% ----------------------
% runme.m
% ----------------------
% 'Ramsey': Chapter 3
% March 3, 2014 Philip Schuster
% 
% computes the transition of a shock
% in a simple Ramsey model (root finder)
% ----------------------

clear all;  % clear all variables
clc;        % clear screen

fprintf('RAMSEY MODEL OF CLOSED ECONOMY - TRANSITIONAL DYNAMICS\n\n');

% DATA AND CALIBRATION
global tend findrootmethod

findrootmethod = 1; % use simple Newton-Raphson method (=1)
tend    = 200; % number of periods

param; % loads exogenous parameters
calib; % calibrates the model

% COMPUTE JACOBIAN FOR DYNAMIC SOLUTION
jacob = compjacob(guess);

% COMPUTE INITIAL STEADY STATE
ISS;

% REFORMS
%K(1)    = 0.8*K0;
L0 = 1.1*L0;
%delta = delta*0.9;

% COMPUTE FINAL STEADY STATE
FSS;

% SOLVE FOR TRANSITIONS
%[actual, retcode] = gft(guess,jacob);   % Generalized Fair-Taylor
[actual, retcode] = ft(guess);         % Original Fair-Taylor
%[actual, retcode] = ft_plot(guess);